Rails.application.routes.draw do

  locales = Site.first.in_use_locales rescue I18n.available_locales
  
  scope "(:locale)", locale: Regexp.new(locales.join("|")) do
   namespace :admin do
    resources :actives do
      member do
        get 'export'
        get 'act_signup'
      end
    end
    resources :active_agreements
    resources :active_signups
   end

    resources :actives do
      collection do
        get ':slug_title-:uid', to: 'actives#show'
      end
    end

  end
  
end
