module Active
  class Engine < ::Rails::Engine
    initializer "active" do 
      OrbitApp.registration "Active", :type => "ModuleApp" do
        module_label "act.active"
        base_url File.expand_path File.dirname(__FILE__)
        widget_methods ["widget","widget1"]
        widget_settings [{"data_count"=>10}]
        authorizable
        categorizable
        frontend_enabled
        data_count 1..20

        side_bar do
          head_label_i18n 'act.active', icon_class: "icon-hand-up"
          available_for "users"
          active_for_controllers (['admin/actives'])
          head_link_path "admin_actives_path"

          context_link 'list_',
                                :link_path=>"admin_actives_path" ,
                                :priority=>1,
                                :active_for_action=>{'admin/actives'=>'index'},
                                :available_for => 'users'
          context_link 'new_', 
                                :link_path=>"new_admin_active_path" ,
                                :priority=>2,
                                :active_for_action=>{'admin/actives'=>'new'},
                                :available_for => 'sub_managers'
          context_link 'categories',
                                :link_path=>"admin_module_app_categories_path" ,
                                :link_arg=>"{:module_app_id=>ModuleApp.find_by(:key=>'active').id}",
                                :priority=>3,
                                :active_for_action=>{'admin/actives'=>'categories'},
                                :active_for_category => 'Active',
                                :available_for => 'managers'
          context_link 'act.set_active_agreements',
                                :link_path=>"admin_active_agreements_path" ,
                                :priority=>3,
                                :active_for_action=>{'admin/actives'=>'active_agreements'},
                                :available_for => 'managers'
        end

      end
    end
  end
end